# Proposal 28 - Reimbursement, remuneration and bounty

### Requirements

-   Rust ([Need only for Windows](https://doc.rust-lang.org/cargo/getting-started/installation.html))
-   Foundryup ([Windows](https://github.com/altugbakan/foundryup-windows), [Linux](https://book.getfoundry.sh/getting-started/installation))
-   Node 14 or higher ([Windows](https://github.com/coreybutler/nvm-windows), [Linux](https://github.com/nvm-sh/nvm))

### Installation

```text
git clone --recurse-submodules https://git.tornado.ws/Theo/proposal-28-remuneration-and-reimbursement
cd proposal-28-remuneration-and-reimbursement
npm install
npm run init
```

### Testing

```text
npm run test:windows
```

or

```text
npm run test:linux
```

##### Test with gas

```text
npm run test:gas:windows
```

or

```text
npm run test:gas:linux
```

### Verification

Amount of tokens calculates in [this script](scripts/computePaymentAmount.ts) using Binance 7-day average price

Test yourself:

```
npm run computePaymentAmount
```

### Contract

Proposal contract code: [etherscan link](https://etherscan.io/address/0x5987d5e6585b17fa74fcd6639a7336a1ff4f07f4#code)
